Package org.eclipse.m2m.atl.emftvm.ant

# Class RegisterMetamodelTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask
org.eclipse.m2m.atl.emftvm.ant.RegisterMetamodelTask

All Implemented Interfaces:
  `Cloneable`

public class RegisterMetamodelTask extends EMFTVMTask
Registers an EMF metamodel.

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`RESOURCE_SET`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`RegisterMetamodelTask()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileExtension()`
Returns the file extension of the instance models.
`String`
`getPackageClass()`
Returns the `EPackage` class to register.
`String`
`getResourceFactoryClass()`
`protected void`
`innerExecute()`
Performs the actual execution.
`void`
`setFileExtension(String fileExtension)`
Sets the file extension of the instance models.
`void`
`setPackageClass(String packageClass)`
Sets the `EPackage` class to register.
`void`
`setResourceFactoryClass(String resourceFactoryClass)`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.ant.EMFTVMTask

`execute, getMetamodel, getModel, getResourceSet, setModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegisterMetamodelTask

public RegisterMetamodelTask()

## Method Details

### innerExecute

protected void innerExecute() throws Exception
Performs the actual execution.

Specified by:
  `innerExecute` in class `EMFTVMTask`
Throws:
  `Exception`

### getPackageClass

public String getPackageClass()
Returns the `EPackage` class to register.

Returns:
  the packageClass

### setPackageClass

public void setPackageClass(String packageClass)
Sets the `EPackage` class to register.

Parameters:
  `packageClass` - the packageClass to set

### getResourceFactoryClass

public String getResourceFactoryClass()

Returns:
  the resourceFactoryClass

### setResourceFactoryClass

public void setResourceFactoryClass(String resourceFactoryClass)

Parameters:
  `resourceFactoryClass` - the resourceFactoryClass to set

### getFileExtension

public String getFileExtension()
Returns the file extension of the instance models.

Returns:
  the fileExtension

### setFileExtension

public void setFileExtension(String fileExtension)
Sets the file extension of the instance models.

Parameters:
  `fileExtension` - the fileExtension to set